数据提供商: Keepa
按关键词搜索 Amazon 商品
$0.050382 / 次调用异步运行,需轮询 Run
在一个市场中,可以通过输入某个关键词来搜索Amazon上的产品。最多返回 20 个商品对象或 ASIN,可选价格统计、历史、刷新和评分。此请求不支持分页功能。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /search?type=product on Glasser.bash
glasser run -p keepa -e '/search?type=product' -i '{"term":"wireless mouse","type":"product","domain":1,"asins-only":1}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/search?type=product","input":{"term":"wireless mouse","type":"product","domain":1,"asins-only":1},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
规划新内容时,可以将关键词创意整理为相关主题,形成可执行的内容计划。
复制此提示词到你的 Agent,为内容计划分组关键词。
提示词
Use keepa:/search?type=product on Glasser.
Group the returned keywords into topics I can use to plan content.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain",
"type",
"term"
],
"properties": {
"term": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"type": {
"enum": [
"product"
],
"type": "string"
},
"stats": {
"anyOf": [
{
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
{
"type": "string",
"pattern": "^(?:\\d{10,13},\\d{10,13}|\\d{4}-\\d{2}-\\d{2},\\d{4}-\\d{2}-\\d{2})$"
}
]
},
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"rating": {
"enum": [
0,
1
],
"type": "number"
},
"update": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 0
},
"history": {
"enum": [
0,
1
],
"type": "number"
},
"asins-only": {
"enum": [
0,
1
],
"type": "number"
}
},
"additionalProperties": false
}json
{
"term": "wireless mouse",
"type": "product",
"domain": 1,
"asins-only": 1
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 返回匹配数据时的价格。 | $0.050382 |
|---|---|---|
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.027 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |